![Header](https://chaotikum.org/assets/header.png)

# Dokumentation zur Chaotikum website

### Für wen ist diese Doku (nicht)

Dies ist (weitestgehend) keine Doku für Menschen, die einfach auf unserer Website surfen wollen und sie benutzen wollen. Die Hoffnung ist, das geht einfach so. Ganz ohne Doku.

Es ist kaum eine Doku für Menschen, die an dieser Website programmieren (unten gibt es etwas rudimentäre dev-docs). Hierzu wird es langfristig (hoffentlich) mehr Entwicklungsdoku geben, welche es erleichtert neue Features einzubauen. Aber die Zielgruppe ist hier doch sehr klein und miteinander reden vermutlich meist effizienter.

*Diese Doku ist für Menschen, die Content erstellen wollen. Sie soll ein Verständnis schaffen, wie Inhalte strukturiert sind, wie sie abgelegt werden, auf was dabei zu achten ist und welche Verknüpfungen geschehen. Das ist nämlich dank der Komplexität der Website nicht (immer) einfach.*

*Die Doku soll auch einen Überblick darüber geben, wo die Website von anderen Systemen als Informationsquelle genutzt wird oder Informationen anderer Quellen nutzt, um sich beim Erstellen von Content dieser Abhängigkeiten bewusst zu sein und zu wissen: Änderungen können effekte außerhalb der Website haben.*

*Die Doku versucht auch, im Ansatz, Fragen zu beantworten wie: Was soll auf die Website? Was soll ins Wiki? Was ist vielleicht besser eine subdomain oder ganz andere Seite?*

Beschrieben, oder verlinkt, werden daher auch einige Systeme, die eng mit der Website kooperieren oder für ihren Betrieb relevant sind.

Aufgeteilt ist die Dokumentation folgendermaßen:

* [Website Lokal starten](/docs/dev/local.md)
* **Create Content**
   * [Wofür ist die Website eigentlich da?](docs/content/basics.md)
   * [Wie unsere Website tickt](docs/content/content_basics.md)
   * [Einen Blogpost schreiben](/docs/content/newpost.md)
     * [Pressemitteilungen](/docs/content/pm.md)
   * [Medien wie Bilder oder Videos einbinden](/docs/content/embedmedia.md)
   * [Menschen und Gruppen](/docs/content/people.md)
   * [Projekte und Aktivitäten](/docs/content/activities.md)
   * [Events im Kalender](/docs/content/events.md)
   * [Inventar und Werkstatt](/docs/content/inventory.md)
      * [Sets](/docs/content/sets.md)
      * [Anleitungen zu Geräten](/docs/content/manuals.md)
   * [Geräte Buchen](/docs/content/booking.md)
      * [Leihgabe und Verleih-Infos](/docs/content/loans.md)
   * [pressespiegel](/docs/content/press.md)
   * [Videos/Media/Conferences](/docs/content/media.md)
   * [Liftoff at Nbsp](/docs/content/liftoff.md)
* **Interaktion mit internen und externen dynamischen Diensten**
   * [Space-Status](/docs/content/status.md)
   * [Anwesenheit](/docs/content/presence.md)
   * [Mastodon-Feed](/docs/content/mastodon-feed.md)
   * [PDF-Formulare](docs/content/forms.md)
   * *Externe Abhängigkeiten im Bereich Video/Media*
      * [video.chaotikum.net](/docs/content/videoftp.md)
      * [Subtitles-Project on Gitlab](/docs/content/subtitles.md)
      * [Hosting auf externen Plattformen](/docs/content/external-plattforms-media.md)
      * [Ticket-verwaltung über Redmine](/docs/content/video-redmine.md)
* **Skript Support beim Content erstellen**
  * [Large Scale Event-Generator](docs/scripts/event-gen.md)
  * [Thumbnail Generator](docs/scripts/thumbnail-gen.md)
  * [Untertitel erstellen mit Wisper.ai](docs/scripts/subtitle-gen.md)
* **Software, die unsere Inhalte (hauptsächlich ical und XML) nutzt**
   * Media-Ticket Generator
   * Event Matrix Bot
   * Importieren von Medien bei Meida.ccc.de und automatischer Upload bei Archive.org
   * Erstellen von Unteritteln für Medien
   * thumbnaildownloader
   * Mastodon Bots
* [Glossar](/docs/glossary.md)
* **Dev Docs**
  * [Einleitung](/docs/dev/README.md).
  * [Website Lokal starten](/docs/dev/local.md)
  * [Print-CSS](/docs/dev/print-css.md)
  * [Layouts anpassen](/docs/dev/layouts.md)
  * **Builds Scripts**
    * [Check auf Dead-Links](/docs/build/deadlinks.md)
    * [iCal Prüfung](/docs/build/icalcheck.md)
    * [Uinque UID Prüfiung](/docs/build/uids.md)
    * [Media-Ticket Generator](/docs/build/media-ticket-generator.md)
* **User Docs**
  * [Spezielle Seiten mit Drucklayout](/docs/userdocs/printlayout.md)
## Changelog

[Changelog](https://git.chaotikum.org/chaotikum/website/-/blob/master/CHANGELOG.md)
