![Header](https://chaotikum.org/assets/header.png)

# Aktivitäten

Früher hießen die Projekte (das merkt man auch noch an Ordnerstruktur und sicher auch an vielen Stellen der Doku), das wirkte furchtbar hochtrabend und erweckte den Eindruck sie müssten irgendwie durch den Verein gutgeheißen werden, oder es handele sich sogar um Projekte des Vereins. Solche sind zwar auch da, aber jedes Bastelprojekt von Menschen in der Community, welches sich der Räumlichekiten, Geräte, Werkzeuge, It-Infra bedient, oder sonst irgendwie im Kontext von Nobreakspace oder Chaotikum steht, und über welches die Aktiven gerne repräsentiert sehen wollen, ist hier wilkommen.

Auich Reihen von Events, sei es Bits und Bäume, Freitalk, NooK oder 5 Minuten Termine oder langlaufende Initiativen wie Freifunk sind hier richtig. 

Der Sinn und Zweck dieses Bereichs unserer Website ist es, menschen, die unsere Website besuchen, die Vielfallt der Interessengebiete und Ideen derer zu zeigen, die in und um den Space aktiv sind. Einzige Bedingung ist schon, dass man eben selbst (mit) aktiv ist. Einfach nur Seiten für fremde Sachen, die man gut findet, wären nicht OK.

Eine solche Aktivitätsseite kann in erster Line ein Verweis auf deine eigene Website sein, wo du die eigentliche Beschreibung machst. Das ist komplett ok.

Mit dieser kleinen Inhaltlichen definiton aus dem Weg, wie geht das technisch und was ist zu beachten?

### Aktivitätsseite anlegen
Bei Aktivitäten hängt alles an einer Datei im Ordner `_projects`.

Diese definiert sozusagen, dass es eine Aktivität gibt, sie gibt dieser aktiviotät einen Namen, ein Share image usw. Bei der Namensgebung der Datei ist man frei, lediglich eindutig innerhalb des ordners muss er sein (und keine unicodes plz).

Eine Projektseite besteht aus sehr vielen Meta-Infos, z.B erzeugen insbedonere den Kasten am rechten Rand (*Sidebar*).

Die kann z.B. so aussehen:

```
---
layout: project
name:  "Bits & Bäume Lübeck"
date:   2023-01-01 00:00:00 +0200
image: bub.jpg
feature_image: "/images/projects/bub.jpg"
tag: bitsbaeume
short: Entwicklung von Software und Aufstellen von Hardware im Rahmen des Lübecker Freifunk-Projektes.
status: Aktiv
email: bits-und-baeume@chaotikum.org 
contact:
- bitsundbaeume
- phillip
categories:
- project
tags:
- bitsbaeume
---
```

* `layout`: wie immer ein Pflichtfeld, wo der Wert **immer** project sein muss.
* `name`: Ein Namen für das Projekt, kurz, knackig, selbsterklärend. Wird überall als HEader und Link genutzt
* `date`: Swowas wie ein Gründungs oder Start datum. Es gibt eine komplexe aktualiserungslogik, um festzustellen,w ann ein Projekt zuletzt aktiv war (w.u.), aber wenn diese nicht greift, weil keine anderen Infos da sind, wird dieses Datum genutzt.
* `image`: Auf der [Übersichtseite der Aktivitäten](https://chaotikum.org/projects/) sind Projekte durch Bilder getrennt. Dafür wird dieses Bild genutzt.
* `feature_image`: Auf der eigentlichen Seite einer Aktivität gibt es oben ein Feature Image. Das würde auch als Share image für social media genutzt.
* `feature_image_alt`: Ein Alternativtext für das Feature Image. Aus noch etwas unklaren gründen funktioniert das oft nicht, aber besser einen zu haben, vielleicht kriegen wir das ja mal unter Kontrolle.
* `tag`: Essenziell bei Projekten/Aktivitäten! Hierrüber werden Verknüpfungen gemacht, z.B. zui Blogposts oder Medien wie Videos. Dies wiederum ist von Bedeutung für die Berechnung, ob ein projekt aktiv ist, oder nicht und bestimmt die Reihenfolge der Darstellung auf der [Übersichtseite der Aktivitäten](https://chaotikum.org/projects/). Dazu auch mehr unter den kapiteln [Einen Blogpost schreiben](/docs/content/newpost.md)) und [Videos/Media/Conferences](/docs/content/media.md).
* `short`: Kurzbeschreibung des projekts. Macht es wirklich kurz, bitte.
* `status`: Da kann man sich austoben, wird nicht automatisiert verarbeitet aber in der *Sidebar* angezeigt als Info für Betrachtende.
* `email`: Der Sinn und ZWeck von nahezu allem was wir tun ist, dass Menschen mitmachen und lernen können. Kontaktdaten sind daher wichtig. Besonders eine E-Mail adresse. Die kommt hier rein. Hier geht es darum wie man die Gruppe erreicht (konkrete Personen unter contact). Wenn private adressen nicht erwünscht sind, helfen wir gerne mit eienr mailingliste um das zu verstecken und auch organsisatorisch besser zu versorgen ([Bus-Faktor](https://en.wikipedia.org/wiki/Bus_factor) und so)
* `gitlab`: Hat das projekt ein gitlab, cool, url hier plz. Erscheint in der *Sidebar*.
* `web`: Hat das projekt eine eigene Website. Die kann hier hin. Erscheint in der *Sidebar*.
* `twitter`: Hat das prohjekt einen twitter account, hier reinschreiben. Erscheint in der *Sidebar*.
* `matrix`: Gibt es eine Matrix-Gruppe zum Mitmachen. Dann wäre dies der ort dafür. Erscheint in der *Sidebar*.
* `mastodon`: Hat das projekt einen Mastodon Account? Erscheint in der *Sidebar*.
* `contact`: Dais sind die `person_id` Bezeichner von Personen oder Gruppen im Ordner `_people`, dazu mehr im Kapitel [Menschen und Gruppen](/docs/content/people.md). Diese sind eine weitere Möglichkeit als Projekt besser ewrreichbar und transparenter zu sein. Sie werden z.B. auch als Autor\*innen angezeigt, wenn Blogposts zu einem projekt geschrieben werden (Siehe Kapitel [Einen Blogpost schreiben](/docs/content/newpost.md)).
* `categories`: das muss einfach immer *project* sein. 
* `tags`: Hier kann man weitere Tags hinzufügen, unter denen man das Projekt verstzeht. Vermutlich nicht sehr wichtig...

### Aktualisierung (Reihenfolge der Projekte)

Wer auf einer Website auf "[Aktivitäten](https://chaotikum.org/projects/)" klickt will sehen, wo die Leute aktiv sind. Und daher ordnet die Website diese Aktivitäten in der Reihnfolge, in der sie denkt, das zuletzt was passiert ist. Sozusagen letzte aktivität. 

Die Logik dazu ist nicht komplett banal und wird in Zukunft vermulich noch komplexer. Wer sie anschauen will findet sie in der Date `_includes/project-list.html`.

Derzeit werden Blog-Posts gesucht, welche (auch) die Kategorie *project* haben (Mehr zu Kategroeien bei Blogposts im Kapitel [Einen Blogpost schreiben](/docs/content/newpost.md)). Hier werden die entsprechenden *Tags* der Projekte gesammelt. Dann werden aus der Liste aller Projekte diese rausgesucht und nach dem Datum des neusten Blogposts mit dem *Tag* sortiert.

**Future Work**
Das ist soweit ganz OK, aber eigentlich gibt es mehr als Blogposts. Zukünftig sollen auch Medien und Events, eigentlich sogar Leihgaben oder Bookings, mit Aktivitäten in Verbindung gebracht werden und all dies soll in die aktualisierung einfließen. (->Issue Link im Gitlab: https://git.chaotikum.org/chaotikum/website/-/issues/50)

**Future Work**
Aktuell gibt es kein Cut-Off. Jedes projekt, das jemals überhaupt aktualisiert wurde, ist dabei. Das machte am Anfang sinn, inzwischen nicht mehr. Nach zwei Jahren oder so, sollten Aktivitäten von der Übersichtsseite verschwinden. (-> Issue Link im Gitlab https://git.chaotikum.org/chaotikum/website/-/issues/51)

**Future Work**
Früher konnte man mit einem last-update Feld in der Datei auch manuell setzen, dass ein Update passsiert ist, wenn es nicht durch anderes erkennbar war. das ist jetzt gar nicht so blöd und könnte man versuchen wieder einzuführen. Das ist halt mit Liquid Templates alles furchtbar kompliziert.... Auch projekte dern Start-Datum sehr jung ist könnten erstmal auftauchen, unabhängig von Updates. (-> Issue Link im Gitlab: https://git.chaotikum.org/chaotikum/website/-/issues/50)

### Das Projektarchiv

Lediglich Projekte, die gelegentlich aktualisiert wurden erscheinen auf der [Übersichtseite der Aktivitäten](https://chaotikum.org/projects/), um irgendwelche längst vergessenen, erwig abgeschlossenen Projekte nicht all zu populär zu präsentieren. Das erzeugt verwirrung und ist manchmal auch einfach peinlich. Aber es gibt ein [Projektarchiv](https://chaotikum.org/projects/archive/), da ist alles, alphabetisch.
